Update a Shared Page Entry

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/shared_page

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each page assignment on the list

  • limit number

    maximum count of the page assignment list

  • offset number

    skip that many page assignment before beginning to return

application/json

Body

object object

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      id of deleted shared page entry

PUT /profiles/{profile_id}/pages/{page_id}/shared_page
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/shared_page' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json"
Request examples
{}
Response examples (200)
[
  {
    "id": 86
  },
  {
    "id": 89
  }
]